<%@ Page Language="VB" %>

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<script runat="server">
Sub Page_Load(Src as Object, E as EventArgs)

	Dim ASPReg As ASPRegister
	Dim XMLReg As XMLRegister
	Dim LinReg As LinuxRegister
	
	ASPReg = New ASPRegister
	With ASPReg
		.CustomerFirstName = "Bill"
		.CustomerLastName = "Gates"
		.CreditCardNumber = "55555555555"
		.CreditCardExpires = "01/02"
		Label1.Text = .Execute()
	End With
	
	XMLReg = New XMLRegister
	With XMLReg
		.CustomerFirstName = "Steve"
		.CustomerLastName = "Balmer"
		.CreditCardNumber = "55555555556"
		.CreditCardExpires = "05/03"
		.UserGroupAffiliation = "Microsoft Windows 2000 UG"
		Label2.Text = .Execute()
	End With

	LinReg = New LinuxRegister
	With LinReg
		.CustomerFirstName = "Linus"
		.CustomerLastName = "Torvalds"
		Label3.Text = .Execute()
	End With
	
	ASPReg = Nothing
	XMLReg = Nothing
	LinReg = Nothing

End Sub   

Class Register
	Public CustomerFirstName As String
	Public CustomerLastName As String
	Public CreditCardNumber As String
	Public CreditCardExpires As String
	
	Overridable Public Function Execute() As String
		Return "<BR /><font color=""green"">Register.Execute</font>"
	End Function

	Overridable Public Function Cancel() As String
		Return "<BR /><font color=""red"">Register.Cancel</font>"
	End Function
End Class

Class ASPRegister
	Inherits Register
End Class

Class XMLRegister
	Inherits Register
	Public UserGroupAffiliation As String
End Class

Class LinuxRegister
	Inherits Register
	Overrides Public Function Execute() As String
		Return "<BR /><font color=""blue"">Register.Execute</font>"
	End Function
End Class

</script>


<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
<title></title>

<meta name="title"      content="ASP.NET for Developers" />
<meta name="isbn"       content="0-672-32038-X" />
<meta name="Authors"    content="Mike Amundsen and Paul Litwin" />
<meta name="Publisher"  content="Sams Publishing" />
<meta name="website"    content="http://www.amundsen.com/books/aspx4devs/" />
<meta name="email"      content="aspx4devs@amundsen.com" />
<meta name="VSS Info"   content="$$Header: /ASP.NET for Developers/CODE/Misc/template.aspx 5     1/11/01 5:23p Mca $" />

<link rel="stylesheet" type="text/css" href="aspx4devs.css" />
</head>

<body>

<h3>Sample ASPx4Devs Page</h3>
<hr />

<p><asp:label id="Label1" runat="server" /></p>
<p><asp:label id="Label2" runat="server" /></p>
<p><asp:label id="Label3" runat="server" /></p>

</body>

</html>
