<%@ Page Language="VB" %>

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<script runat="server">
Sub Page_Load(Src as Object, E as EventArgs)
	Dim ASPReg As ASPRegister
	Dim XMLReg As XMLRegister
	
	ASPReg = New ASPRegister("Gates", "Bill")
	With ASPReg
		.CreditCardNumber = "5555555555"
		Label1.Text = "Name: " & .CustomerName
	End With
	
	XMLReg = New XMLRegister("Balmer", "Steve")
	With XMLReg
		.CreditCardNumber = "666666666666"
		Label2.Text = "Name: " & .CustomerName
		Label2.Text &= "<BR />UserGroup: " & .UserGroupAffiliation
	End With
	
	ASPReg = Nothing
	XMLReg = Nothing
End Sub   

Class Register
	Private CustFname As String
	Private CustLName As String
	Private FullName As String
	Private CreditCard As String
	
	Public Property CustomerFirstName As String
		Get 
			CustomerFirstName = CustFName
		End Get
		Set
			CustFName = Value
			FullName = CustFName & " " & CustLName
		End Set
	End Property
	
	Public Property CustomerLastName As String
		Get 
			CustomerLastName = CustLName
		End Get
		Set
			CustLName = Value
			FullName = CustFName & " " & CustLName
		End Set
	End Property
	
	Public ReadOnly Property CustomerName As String
		Get
			CustomerName = FullName
		End Get
	End Property
	
	Public WriteOnly Property CreditCardNumber As String
		Set
			CreditCard = Value
		End Set
	End Property
	
	Public Function Execute() As String
		Return "<BR /><font color=""green"">Register.Execute</font>"
	End Function

	Public Function Cancel() As String
		Return "<BR /><font color=""red"">Register.Cancel</font>"
	End Function
	
	Sub New(Optional LastName As String = "", Optional FirstName As String = "")
		MyBase.New
		CustLName = LastName
		CustFName = FirstName
		FullName = CustFName & " " & CustLName
	End Sub
End Class

Class ASPRegister
	Inherits Register
	
	Sub New(Optional LastName As String = "", Optional FirstName As String = "")
		MyBase.New(LastName, FirstName)
	End Sub
End Class

Class XMLRegister
	Inherits Register
	
	Public UserGroupAffiliation As String
	
	Sub New(Optional LastName As String = "", Optional FirstName As String = "")
		MyBase.New(LastName, FirstName)
		UserGroupAffiliation = "none"
	End Sub
End Class
</script>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
<title></title>

<meta name="title"      content="ASP.NET for Developers" />
<meta name="isbn"       content="0-672-32038-X" />
<meta name="Authors"    content="Mike Amundsen and Paul Litwin" />
<meta name="Publisher"  content="Sams Publishing" />
<meta name="website"    content="http://www.amundsen.com/books/aspx4devs/" />
<meta name="email"      content="aspx4devs@amundsen.com" />
<meta name="VSS Info"   content="$$Header: /ASP.NET for Developers/CODE/Misc/template.aspx 5     1/11/01 5:23p Mca $" />

<link rel="stylesheet" type="text/css" href="aspx4devs.css" />
</head>

<body>

<h3>Sample ASPx4Devs Page</h3>
<hr />

<p><asp:label id="Label1" runat="server" /></p>
<p><asp:label id="Label2" runat="server" /></p>

</body>

</html>
