<%@ Page Description="handling event arguments" %>
<%@ Import Namespace = "System.Data" %>

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<script language="vb" runat="server">

dim SortExpression as string

sub Page_Load(sender as object, args as EventArgs)

     if IsPostBack=false then
        if sortExpression="" then
           sortExpression="IntegerValue"
        end if
        
        dataGrid.DataSource = CreateDataSource()
        dataGrid.DataBind()
     end if

end sub

sub dataGrid_Sort(sender as object, args as dataGridSortCommandEventArgs)

   sortExpression = args.SortExpression.ToString()
   sortColumn.Text = "You clicked: " & sortExpression
   
   dataGrid.DataSource = CreateDataSource()
   dataGrid.DataBind()
   
end sub

function CreateDataSource() as ICollection

   dim Rand_num as Random = new Random()
   dim dt as DataTable = new DataTable()
   dim dr as DataRow
   dim dv as DataView
   dim i as Integer
   
   with dt.Columns
      .Add(new DataColumn("IntegerValue", GetType(Int32)))
      .Add(new DataColumn("StringValue", GetType(string)))
      .Add(new DataColumn("CurrencyValue", GetType(double)))
   end with

   for i = 0 to 10 step 1
      dr = dt.NewRow()
      dr(0) = i
      dr(1) = "Item " & i.ToString()
      dr(2) = 1.23 * Rand_Num.Next(1,15)
      dt.Rows.Add(dr)
   next
   
   dv = new DataView(dt)
   dv.Sort = sortExpression
   
   return(dv)
   
end function

</script>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

<title>Handling Event Arguments</title>

<meta name="title"      content="ASP.NET for Developers" />
<meta name="isbn"       content="0-672-32038-X" />
<meta name="Authors"    content="Mike Amundsen and Paul Litwin" />
<meta name="Publisher"  content="Sams Publishing" />
<meta name="website"    content="http://www.amundsen.com/books/aspx4devs/" />
<meta name="email"      content="aspx4devs@amundsen.com" />

<link rel="stylesheet" type="text/css" href="aspx4devs.css" />

</head>

<body>
<h2>Handling Event Arguments</h2>
<hr />

<asp:Label id="sortColumn" runat="server" />

<form runat="server">
   <asp:DataGrid id="dataGrid" AllowSorting="true"
    OnSortCommand="dataGrid_Sort" runat="server" />
</form >

</body >
</html >

