<%@ Page Description="CheckBoxList.aspx" %>

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<script Language="VB" runat="server">
    
   Sub Check_Clicked(sender As Object, e As EventArgs)
      
      Dim i As Integer
      
      Message.Text = "You selected:<ul>"
      
      For i=0 To cbList.Items.Count - 1
         If cbList.Items(i).Selected Then
            Message.Text &= "<li>" & cbList.Items(i).Text & "</li>"
         End If
      Next
      
      Message.Text &= "</ul>"
   
   End Sub

</script>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

<title id="title" runat="server" />

<meta name="title"      content="ASP.NET for Developers" />
<meta name="isbn"       content="0-672-32038-X" />
<meta name="Authors"    content="Mike Amundsen and Paul Litwin" />
<meta name="Publisher"  content="Sams Publishing" />
<meta name="website"    content="http://www.amundsen.com/books/aspx4devs/" />
<meta name="email"      content="aspx4devs@amundsen.com" />
<meta name="VSS Info"   content="$$Header: $" />

<link rel="stylesheet" type="text/css" href="aspx4devs.css" />

</head>

<body>

<h2>CheckBox List Demo</h2>
<hr />

<form runat="server">

Select all the news categories you are interested in reviewing:
    <asp:CheckBoxList id="cbList" 
        RepeatColumns="3"
        RepeatDirection="Horizontal"
        TextAlign="right"
        AutoPostBack="True"
        OnSelectedIndexChanged="Check_Clicked"
        runat="server">
 
        <asp:ListItem>Web Site News</asp:ListItem>
        <asp:ListItem>New Products</asp:ListItem>
        <asp:ListItem>Job Postings</asp:ListItem>
        <asp:ListItem>User Newsletter</asp:ListItem>
        <asp:ListItem>Bugs and Updates</asp:ListItem>
 
    </asp:CheckBoxList>
 
    <p>
    <asp:label id="Message" runat="server"/>
    </p>
    
</form>

</body>

</html>
