<%@ Page Description="RadioButtonList.aspx" %>

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<script Language="VB" runat="server">

Sub Page_Load(Source As object, e As EventArgs)

End Sub   


sub btnSubmit_click(sender As Object, e As EventArgs) 

   if rbList.SelectedIndex > -1 then
      msgDIsplay.Text = "You selected: " & rbList.SelectedItem.Text
   else
      msgDisplay.Text = "Please select an item first!"   
   end if

end Sub

sub chkDirection_CheckedChanged(sender as object, e as EventArgs)

   if chkDirection.Checked=true then
      rbList.RepeatDirection = RepeatDirection.Horizontal
   else
      rbList.RepeatDirection = RepeatDirection.Vertical   
   end if
   
end sub

</script>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

<title id="title" runat="server" />

<meta name="title"      content="ASP.NET for Developers" />
<meta name="isbn"       content="0-672-32038-X" />
<meta name="Authors"    content="Mike Amundsen and Paul Litwin" />
<meta name="Publisher"  content="Sams Publishing" />
<meta name="website"    content="http://www.amundsen.com/books/aspx4devs/" />
<meta name="email"      content="aspx4devs@amundsen.com" />
<meta name="VSS Info"   content="$$Header: $" />

<link rel="stylesheet" type="text/css" href="aspx4devs.css" />

</head>

<body>

<h2>Radio Button List Demo</h2>
<hr />

<form runat="server">

Select a shipping option:
    <asp:RadioButtonList id=rbList runat="server">
        <asp:ListItem>Overnight</asp:ListItem>
        <asp:ListItem>Three-Day</asp:ListItem>
        <asp:ListItem>Five-Day</asp:ListItem>
    </asp:RadioButtonList>
 
    <p>
    <asp:CheckBox id=chkDirection
        OnCheckedChanged="chkDirection_CheckedChanged" 
        Text="Display Horizontal/Vertical" 
        AutoPostBack="true" 
        runat="server" />
    </p>
    
    <p>
    <asp:Button id=btnSubmit Text="Submit" 
        onclick="btnSubmit_click" runat="server"/>
    </p>
         
    <p>
    <asp:Label id="msgDisplay" runat="server"/>
    </p>

</form>

</body>

</html>
