<%@ Page Description="repeater.aspx" %>
<%@ import namespace="System.Data" %>

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<script Language="VB" runat="server">

sub Page_Load(sender as object, e as EventArgs)

   with dbList
      .DataSource = CreateDataSource()
      .DataBind()
   end with
   
end sub
    
' create some data for this example
function CreateDataSource() as DataView

   dim dt as DataTable = new DataTable()
   dim dr as DataRow
   dim i as integer
   
   with dt.Columns
      .Add(new DataColumn("ItemName",GetType(String)))
      .Add(new DataColumn("ItemAmount",GetType(double)))
   end with
   
   for i=0 to 6
      dr = dt.NewRow()
      dr(0) = "Item" & cStr(i)
      dr(1) = 1.23 * (i+1)
      dt.rows.Add(dr)
   next
   
   dim dv as DataView = new DataView(dt)
   return dv
   
end function
 

</script>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

<title id="title" runat="server" />

<meta name="title"      content="ASP.NET for Developers" />
<meta name="isbn"       content="0-672-32038-X" />
<meta name="Authors"    content="Mike Amundsen and Paul Litwin" />
<meta name="Publisher"  content="Sams Publishing" />
<meta name="website"    content="http://www.amundsen.com/books/aspx4devs/" />
<meta name="email"      content="aspx4devs@amundsen.com" />
<meta name="VSS Info"   content="$$Header: $" />

<link rel="stylesheet" type="text/css" href="aspx4devs.css" />

</head>

<body>

<h2>Repeater Control Demo</h2>
<hr />

<form runat="server">

<asp:Repeater id="dbList" runat="server">
    
    <HeaderTemplate>
        <h3>Product Name and Cost List</h3>
    </HeaderTemplate>
    
    <ItemTemplate>
        <b>
        <%#DataBinder.Eval(Container.DataItem,"ItemName")%>,
        <%#DataBinder.Eval(Container.DataItem,"ItemAmount","{0:c}")%>
        </b>
    </ItemTemplate>
    
    <SeparatorTemplate>
        <br />
    </SeparatorTemplate>
    
    <AlternatingItemTemplate>
        <i>
        <%#DataBinder.Eval(Container.DataItem,"ItemName")%>,
        <%#DataBinder.Eval(Container.DataItem,"ItemAmount","{0:c}")%>
        </i>
    </AlternatingItemTemplate>
    
    <FooterTemplate>
        <br />
        ** End List ***
    </FooterTemplate>

</asp:Repeater>

</form>

</body>

</html>
