<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SQLClient" %>

<html>
<head>
<title>DataBindDataList.aspx</title>
<script language="VB" runat="server">
Sub Page_Load(Sender As Object, E As EventArgs)
  If Not Page.IsPostBack Then
    Dim strCnx As String = "server=localhost;uid=sa;pwd=;database=pubs;"
    Dim strSQLEmp As String = "SELECT * FROM titles"

    Dim cnx As SqlConnection = New SqlConnection(strCnx)
    Dim sdaTitles As SqlDataAdapter  = New SqlDataAdapter(strSQLEmp, cnx)
    Dim dsPubs As DataSet = New DataSet
    Dim drTitles As DataRow
    Dim dvTitles As DataView
	
    ' Fill Titles DataTable of dsPubs DataSet 
    ' using the sdaTiles SqlDataAdapter
    sdaTitles.Fill(dsPubs, "Titles")

    ' A little trickery to add an important
    ' book to the Titles DataTable
    drTitles = dsPubs.Tables("Titles").NewRow
    drTitles("title_id") = "PC1000"
    drTitles("title") = "ASP.NET for Developers"
    drTitles("pub_id") = "1111"
    drTitles("type") = "popular_comp"
    drTitles("price") = "29.99"
    dsPubs.Tables("Titles").Rows.Add(drTitles)

    ' Create the dvTitles view so we can resort the
    ' rows by title (part of the trickery).
    dvTitles = New DataView(dsPubs.Tables("Titles"))
    dvTitles.Sort = "title"
   
    ' And bind the dvTitles view to the 
    ' dlTitles DataList control
    dlTitles.DataSource = dvTitles
    dlTitles.DataBind()
  End If
End Sub
</script>
</head>
<body topmargin="0" leftmargin="0" marginwidth="0" 
 marginheight="0" width="100%">

<table width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td style="height:20" bgcolor="#9C0001" 
    cellspacing="0" cellpadding="0"%/>
  </tr>
  <tr>
    <td align="right" 
     style="height:70;font-family:Arial;font-weight:bold;font-size:44pt;color:white" 
     width="100%" bgcolor="D3C9C7">BooksForU.com
    </td>
  </tr>
</table>

<asp:DataList id="dlTitles" RepeatColumns="2" runat="server">
  <ItemTemplate>
  <table cellpadding="10" style="font: 10pt verdana">
      <tr>
        <td width="1" bgcolor="BD8672"/>
        <td valign="top">
          <img align="top" src='<%# DataBinder.Eval(Container.DataItem, _
          "title_id", "images/title-{0}.gif") %>' >
        </td>
        <td valign="top">
          <b>Title: </b><%# Container.DataItem("title") %><br />
          <b>Category: </b>
           <%# Container.DataItem("type") %><br />
          <b>Publisher ID: </b>
           <%# Container.DataItem("pub_id") %><br />
          <b>Price: </b>
           <%# DataBinder.Eval(Container.DataItem, "price", "$ {0}") %>
          <p><a href='<%# DataBinder.Eval(Container.DataItem, _
           "title_id", "purchase.aspx?titleid={0}") %>' >
          <img border="0" src="images/purchase_book.gif" ></p>
          </a>
        </td>
      </tr>
    </table>
  </ItemTemplate>
</asp:DataList>

<table width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td style="height:20" bgcolor="#9C0001" 
     cellspacing="0" cellpadding="0" width="100%"/>
  </tr>
</table>

</body>
</html>

