<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>

<html>
<head>
<title>OleDbCommandScalar.aspx</title>
<script language="VB" runat="server" src="AccessInclude.aspx"> 
  ' This include script contains the AccessCnx function
  ' which returns a connection string to point
  ' to the Access Northwind database.
  ' You may need to modify the connection string
  ' found in this include file.
</script>

<script language="VB" runat="server">
Sub DoCount(Src as Object, E as EventArgs)
  Dim strSQL As String = _
   "SELECT COUNT(*) FROM Employees WHERE Title = 'Sales Representative'"
  Dim intCount As Integer

  ' Create connection to SQL Server Northwind database
  Dim cnx As OleDbConnection = New OleDbConnection(AccessCnx())
  ' Open the connection
  cnx.Open()

  ' Create & execute OleDbCommand query to update records
  Dim scdScalar As OleDbCommand  = New OleDbCommand(strSQL, cnx)

  intCount = scdScalar.ExecuteScalar()

  lblMsg.Text = "Number of Sales Representatives in " & _
   "Northwind Employees table: " & _
   intCount.ToString() 

  cnx.Close()
End Sub
</script>
</head>
<body>
<form runat="server">
  <p>
  <asp:Label id="lblHeader" runat="server" 
      Text="<h2>OleDbCommandScalar Example</h2>" />
  </p>
  <p>
  <asp:Button id="cmdCount" runat="server"
      Text="Count Sales Reps" 
      OnClick="DoCount" />
  </p>
  <p>
  <asp:Label id="lblMsg" runat="server" 
      Style="Color:red; Font-size:12pt" />
  </p>
</form>
</body>
</html>


