<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>

<html>
<head>
<title>OleDbDataReaderGrid.aspx</title>
<script language="VB" runat="server" src="AccessInclude.aspx"> 
  ' This include script contains the AccessCnx function
  ' which returns a connection string to point
  ' to the Access Northwind database.
  ' You may need to modify the connection string
  ' found in this include file.
</script>

<script language="VB" runat="server">
Sub Page_Load(Src As Object, E As EventArgs) 
  ' Don't need to rebind for postbacks
  If Not Page.IsPostBack Then
     Call BindDataSet()
  End If
End Sub

Sub BindDataSet()
  ' Create the DataSet and bind to it
  Dim strCnx As String = AccessCnx()
  Dim strSQL As String = "SELECT * FROM Products"

  ' Create connection to Access Northwind database
  Dim cnx As OleDbConnection = New OleDbConnection(strCnx)
  cnx.Open()

  ' Create & execute OleDbCommand query to return records
  Dim ocd As OleDbCommand  = New OleDbCommand(strSQL, cnx)
  Dim odr As OleDbDataReader
	
  ' Fill DataReader using ExecuteReader method of the
  ' OleDbCommand object.
  odr = ocd.ExecuteReader()

  ' Bind reader to grid
  dgrCustomers.DataSource = odr
  dgrCustomers.DataBind()

  ' Close connection
  cnx.Close()
End Sub
</script>
</head>
<body>
<form runat="server">
  <asp:Label id="lblOut" runat="server"
   Text="<h2>Northwind Products</h2>" />

  <asp:DataGrid id="dgrCustomers" runat="server"
    BorderColor="black"
    BorderWidth="1"
    GridLines="Both"
    CellPadding="3"
    CellSpacing="0"
    Font-Name="Verdana"
    Font-Size="8pt"
    HeaderStyle-BackColor="#99ccff"
    AlternatingItemStyle-BackColor="lightgray" />
</form>
</body>
</html>


