<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<html>
<head>
<title>SqlCommandScalar.aspx</title>
<script language="VB" runat="server">
Sub DoCount(Src as Object, E as EventArgs)
  Dim strCnx As String = "server=localhost;uid=sa;pwd=;database=northwind;"
  Dim strSQL As String = _
   "SELECT COUNT(*) FROM Employees WHERE Title = 'Sales Representative'"
  Dim intCount As Integer

  ' Create connection to SQL Server Northwind database
  Dim cnx As SqlConnection = New SqlConnection(strCnx)
  ' Open the connection
  cnx.Open()

  ' Create & execute SqlCommand query to update records
  Dim scdScalar As SqlCommand  = New SqlCommand(strSQL, cnx)

  intCount = scdScalar.ExecuteScalar()

  lblMsg.Text = "Number of Sales Representatives in " & _
   "Northwind Employees table: " & _
   intCount.ToString() 

  cnx.Close()
End Sub
</script>
</head>
<body>
<form runat="server">
  <p>
  <asp:Label id="lblHeader" runat="server" 
      Text="<h2>SqlCommandScalar Example</h2>" />
  </p>
  <p>
  <asp:Button id="cmdCount" runat="server"
      Text="Count Sales Reps" 
      OnClick="DoCount" />
  </p>
  <p>
  <asp:Label id="lblMsg" runat="server" 
      Style="Color:red; Font-size:12pt" />
  </p>
</form>
</body>
</html>


