<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<html>
<head>
<title>SqlCommandUpdate.aspx</title>
<script language="VB" runat="server">
Sub UpdateRegion(Src as Object, E as CommandEventArgs)
  Dim strCnx As String = "server=localhost;uid=sa;pwd=;database=northwind;"
  Dim strSQL As String
  Dim intRecs As Integer
  ' Set SQL based on which button was clicked
  If E.CommandName = "Update" Then
     strSQL = "UPDATE Customers SET Region = 'Other' WHERE Region IS NULL"
  Else
     strSQL = "UPDATE Customers SET Region = NULL WHERE Region ='Other'"
  End If

  ' Create connection to SQL Server Northwind database
  Dim cnx As SqlConnection = New SqlConnection(strCnx)
  ' Open the connection
  cnx.Open()

  ' Create & execute SqlCommand query to update records
  Dim cmdUpdate As SqlCommand  = New SqlCommand(strSQL, cnx)
  cmdUpdate.CommandType = CommandType.Text

  ' Execute the query
  intRecs = cmdUpdate.ExecuteNonQuery()
  lblMsg.Text = intRecs.ToString() & " records updated!"

  ' Close the connection
  cnx.Close()
End Sub
</script>
</head>
<body>
<form runat="server">
  <p>
  <asp:Label id="lblHeader" runat="server" 
      Text="<h2>SqlCommandUpdate Example</h2>" />
  </p>
  <p>
  <asp:Button id="cmdUpdate" runat="server"
      Text="Update Null Regions to 'Other'" 
      OnCommand="UpdateRegion" 
      CommandName="Update" />
  </p>
  <p>
  <asp:Button id="cmdReset" runat="server"
      Text="Reset 'Other' Regions to Null" 
      OnCommand="UpdateRegion" 
      CommandName="Reset" />
  </p>
  <p>
  <asp:Label id="lblMsg" runat="server" 
      Style="Color:red;" />
  </p>
</form>
</body>
</html>


