<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<html>
<head>
<title>SqlDataAdapterGrid.aspx</title>
<script language="VB" runat="server">
Sub Page_Load(Src As Object, E As EventArgs) 
  ' Don't need to rebind for postbacks
  If Not Page.IsPostBack Then
     Call BindDataSet()
  End If
End Sub
Sub BindDataSet()
  ' Create the DataSet and bind to it
  dgrCustomers.DataSource = CreateDataSet()
  dgrCustomers.DataBind()
End Sub
Function CreateDataSet() As DataSet
  Dim strCnx As String = "server=localhost;uid=sa;pwd=;database=northwind;"
  Dim strSQL As String = "SELECT * FROM Customers"

  ' Create connection to SQL Server Northwind database
  Dim cnx As SqlConnection = New SqlConnection(strCnx)
  ' Create & execute SqlDataAdatper query to return records
  Dim sda As SqlDataAdapter = New SqlDataAdapter(strSQL, cnx)
  ' Create new empty DataSet
  Dim ds As DataSet = New DataSet
	
  ' Fill DataSet using SqlDataAdapter
  sda.Fill(ds,"Customers")
  Return ds
End Function
Sub HandlePaging(sender As Object, e As DataGridPageChangedEventArgs)
  ' Set CurrentPageIndex to the desired page
  dgrCustomers.CurrentPageIndex = e.NewPageIndex
  Call BindDataSet()
End Sub
</script>
</head>
<body>
<form runat="server">
  <asp:Label id="lblOut" runat="server"
   Text="<h2>Northwind Customers</h2>" />

  <asp:DataGrid id="dgrCustomers" runat="server"
    BorderColor="black"
    BorderWidth="1"
    GridLines="Both"
    CellPadding="3"
    CellSpacing="0"
    Font-Name="Verdana"
    Font-Size="8pt"
    AllowPaging="True"
    PageSize="10"
    PagerStyle-Mode="NumericPages"
    PagerStyle-HorizontalAlign="Right"
    OnPageIndexChanged="HandlePaging"
    HeaderStyle-BackColor="#99ccff"
    AlternatingItemStyle-BackColor="lightgray" />
</form>
</body>
</html>


