<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<html>
<head>
<title>SqlDataReader.aspx</title>
<script language="VB" runat="server">
Sub Page_Load(Src As Object, E As EventArgs) 
  Dim strCnx As String = "server=localhost;uid=sa;pwd=;database=northwind;"
  Dim strSQL As String = _
   "SELECT ProductName, UnitPrice FROM Products ORDER BY ProductName"

  ' Create connection to SQL Server Northwind database
  Dim cnx As SqlConnection = New SqlConnection(strCnx)
  cnx.Open()

  ' Create & execute SqlCommand query to return records
  Dim scd As SqlCommand  = New SqlCommand(strSQL, cnx)
  Dim sdr As SqlDataReader
	
  ' Fill DataReader using ExecuteReader method 
  ' of the OleDbCommand object
  sdr = scd.ExecuteReader()

  ' Loop through DataReader records and display
  ' ProductName and UnitPrice fields in HTML table
  lblOut.Text &= "<table border=2>" & _
                 "<tr><th>Product</th><th>Price</th></tr>"
  Do While sdr.Read()
    lblOut.Text &= "<tr><td>" & sdr("ProductName") & "</td>" & _
     "<td align=right>" & FormatCurrency(sdr("UnitPrice")) & "</td></tr>"
  Loop
  lblOut.Text &= "</table>"

  ' Close DataReader and Connection
  sdr.Close()
  cnx.Close()
End Sub
</script>
</head>

<body>
<form runat="server">
  <asp:Label id="lblOut" runat="server"
   Text="<h2>Northwind Products</h2>" />

  <asp:DataGrid id="dgrCustomers" runat="server"
    BorderColor="black"
    BorderWidth="1"
    GridLines="Both"
    CellPadding="3"
    CellSpacing="0"
    Font-Name="Verdana"
    Font-Size="8pt"
    HeaderStyle-BackColor="#99ccff"
    AlternatingItemStyle-BackColor="lightgray" />
</form>
</body>
</html>


