<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<html>
<head>
<title>SqlDataReaderGrid.aspx</title>
<script language="VB" runat="server">
Sub Page_Load(Src As Object, E As EventArgs) 
  ' Don't need to rebind for postbacks
  If Not Page.IsPostBack Then
     Call BindDataSet()
  End If
End Sub

Sub BindDataSet()
  ' Create the DataSet and bind to it
  Dim strCnx As String = "server=localhost;uid=sa;pwd=;database=northwind;"
  Dim strSQL As String = "SELECT * FROM Products"

  ' Create connection to Access Northwind database
  Dim cnx As SqlConnection = New SqlConnection(strCnx)
  cnx.Open()

  ' Create & execute OleDbCommand query to return records
  Dim scd As SqlCommand  = New SqlCommand(strSQL, cnx)
  Dim sdr As SqlDataReader
	
  ' Fill DataReader using ExecuteReader method of the
  ' SqlCommand object.
  sdr = scd.ExecuteReader()

  ' Bind reader to grid
  dgrCustomers.DataSource = sdr
  dgrCustomers.DataBind()

  ' Close connection
  cnx.Close()
End Sub
</script>
</head>
<body>
<form runat="server">
  <asp:Label id="lblOut" runat="server"
   Text="<h2>Northwind Products</h2>" />

  <asp:DataGrid id="dgrCustomers" runat="server"
    BorderColor="black"
    BorderWidth="1"
    GridLines="Both"
    CellPadding="3"
    CellSpacing="0"
    Font-Name="Verdana"
    Font-Size="8pt"
    HeaderStyle-BackColor="#99ccff"
    AlternatingItemStyle-BackColor="lightgray" />
</form>
</body>
</html>


