<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<html>
<head>
<title>DataRows.aspx (SqlClient)</title>
<script language="VB" runat="server">
Sub Page_Load(Src As Object, E As EventArgs) 
  Dim strCnx As String = "server=localhost;uid=sa;pwd=;database=northwind;"
  Dim strSQL As String = "SELECT * FROM Customers"

  ' Create connection to SQL Server Northwind database
  Dim cnx As SqlConnection = New SqlConnection(strCnx)
  ' Create & execute SqlDataAdatper query to return records
  Dim sda As SqlDataAdapter = New SqlDataAdapter(strSQL, cnx)
  ' Create new empty DataSet
  Dim dsNWind As DataSet = New DataSet
  Dim dtCust as DataTable
  Dim drCust As DataRow
	
  ' Fill DataSet using SqlDataAdapter
  sda.Fill(dsNWind,"Customers")

  ' Set dtCust to point to Customers DataRow
  dtCust = dsNWind.Tables("Customers")

  ' Display the row count
  lblOut.Text &= dtCust.Rows.Count & " rows." & "<br /><br />" 

  ' Loop through the Rows collection of
  ' the DataTable and display the value of the
  ' CompanyName field for each DataRow
  For Each drCust In dtCust.Rows
    lblOut.Text &= drCust("CompanyName") & "<br />" 
  Next
End Sub
</script>
</head>
<body>
<asp:Label id="lblOut" runat="server"
 Text="<h2>Northwind Companies</h2>" />
</body>
</html>


