<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>

<html>
<head>
<title>DataRowsA.aspx (OleDb, Access)</title>
<script language="VB" runat="server" src="AccessInclude.aspx"> 
  ' This include script contains the AccessCnx function
  ' which returns a connection string to point
  ' to the Access Northwind database.
  ' You may need to modify the connection string
  ' found in this include file.
</script>
<script language="VB" runat="server">
Sub Page_Load(Src As Object, E As EventArgs) 
  Dim strCnx As String = AccessCnx()
  Dim strSQL As String = "SELECT * FROM Customers"

  ' Create connection to Access Northwind database
  Dim cnx As OleDbConnection = New OleDbConnection(strCnx)
  ' Create & execute OleDbDataAdatper query to return records
  Dim oda As OleDbDataAdapter  = New OleDbDataAdapter(strSQL, cnx)
  Dim dsNWind As DataSet = New DataSet
  Dim dtCust as DataTable
  Dim drCust As DataRow
	
  ' Fill DataSet using OleDbDataAdatper 
  oda.Fill(dsNWind,"Customers")

  ' Set dtCust to point to Customers DataRow
  dtCust = dsNWind.Tables("Customers")

  ' Display the row count
  lblOut.Text &= dtCust.Rows.Count & " rows." & "<br /><br />" 

  ' Loop through the Rows collection of
  ' the DataTable and display the value of the
  ' CompanyName field for each DataRow
  For Each drCust In dtCust.Rows
    lblOut.Text &= drCust("CompanyName") + "<br />" 
  Next
End Sub
</script>
</title>
<body>
<asp:Label id="lblOut" runat="server"
 Text="<h2>Northwind Companies</h2>" />
</body>
</html>


