<%@ Page Language="VB" Debug="true" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<html>
<head>
<title>DataTables.aspx (SqlClient)</title>
<script language="VB" runat="server">
Sub Page_Load(Src As Object, E As EventArgs) 
  If Not Page.IsPostBack Then
    Dim strCnx As String = "server=localhost;uid=sa;pwd=;database=northwind;"
    Dim strSQLCust As String = _
     "SELECT CustomerId, CompanyName FROM Customers ORDER BY CompanyName"
    Dim strSQLEmp As String = _
     "SELECT EmployeeId, LastName + ', ' + FirstName AS EmployeeName " & _
     "FROM Employees ORDER BY LastName, FirstName"

    Dim cnx As SqlConnection = New SqlConnection(strCnx)
    Dim sdaCust As SqlDataAdapter  = New SqlDataAdapter(strSQLCust, cnx)
    Dim sdaEmp As SqlDataAdapter  = New SqlDataAdapter(strSQLEmp, cnx)
    Dim dsNWind As DataSet = New DataSet
    Dim dtCust As DataTable
    Dim dtEmp As DataTable
	
    sdaCust.Fill(dsNWind, "Customers")
    sdaEmp.Fill(dsNWind, "Employees")

    dtCust = dsNWind.Tables("Customers")
    dtEmp = dsNWind.Tables("Employees")
    
    drpCustomers.DataSource = dtCust.DefaultView
    drpCustomers.DataTextField = "CompanyName"
    drpCustomers.DataValueField = "CustomerId"
    drpCustomers.DataBind()

    drpEmployees.DataSource = dtEmp.DefaultView
    drpEmployees.DataTextField = "EmployeeName"
    drpEmployees.DataValueField= "EmployeeId"
    drpEmployees.DataBind()
  End If
End Sub
Sub DisplayCust(Src as Object, E as EventArgs)
  lblCustPick.Text = "You have selected Customer " & _
   drpCustomers.SelectedItem.Value & "."
End Sub
Sub DisplayEmp(Src as Object, E as EventArgs)
  lblEmpPick.Text = "You have selected Employee " & _
   drpEmployees.SelectedItem.Value & "."
End Sub
</script>
</head>
<body>
<form runat="server">
  <asp:Label id="lblTitle" runat="server"
   Text="<h2>Northwind DataTables Example</h2>" />
  <p>Customers: <asp:DropDownList id="drpCustomers" 
                 runat="server" AutoPostBack=true 
                 OnSelectedIndexChanged="DisplayCust" />
  <asp:Label id="lblCustPick" runat="server" 
   style="Color:red" /></p>
  <p>Employees: <asp:DropDownList id="drpEmployees"
                 runat="server"  AutoPostBack=true 
                 OnSelectedIndexChanged="DisplayEmp" />
  <asp:Label id="lblEmpPick" runat="server"  
   style="Color:red"/></p>
</form>
</body>
</html>


