<%@ Page description="user control caching demo" %>
<%@ import namespace="System.Data" %>
<%@ import namespace="System.Data.SqlClient" %>

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<script language="vb" runat="server">
    
Sub Page_Load(Src as Object, E as EventArgs)

   Dim dv As DataView

   dv = Cache("aspx4devs")

   If dv Is Nothing
   
      Dim cn as SqlConnection = new SqlConnection("server=localhost;database=pubs;uid=sa;password=;")
      Dim da as SqlDataAdapter = new SqlDataAdapter("select * from Authors", cn)

      Dim ds As New DataSet
      da.Fill(ds, "Authors")

      dv = New DataView(ds.Tables("Authors"))
      Cache("aspx4devs") = dv

      statusMsg.Text = "Dataset created explicitly"
   Else
      statusMsg.Text = "Dataset retrieved from cache"
   End If

   dbGrid.DataSource = dv
   dbGrid.DataBind()

End Sub   

</script>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

<title>Data Caching Demo</title>

<meta name="title"      content="ASP.NET for Developers" />
<meta name="isbn"       content="0-672-32038-X" />
<meta name="Authors"    content="Mike Amundsen and Paul Litwin" />
<meta name="Publisher"  content="Sams Publishing" />
<meta name="website"    content="http://www.amundsen.com/books/aspx4devs/" />
<meta name="email"      content="aspx4devs@amundsen.com" />
<meta name="VSS Info"   content="$$Header: /aspx4devs/Misc/template.aspx 1     2/06/01 6:16p Mca $" />

<link rel="stylesheet" type="text/css" href="aspx4devs.css" />

</head>

<body>

<h2>Data Caching Demo</h2>
<hr />

<form runat="server">
    <p>
    <asp:Label id="statusMsg" runat="server" />
    </p>    
    
    <p>
    <asp:DataGrid id="dbGrid" runat="server"/>
    </p>
    
</form>

</body>

</html>
