Namespace Shapes
   Public Class Rectangle
      Private HeightVal As Long
      Private WidthVal As Long
      Public Sub New(ByVal RectHeight As Long, ByVal RectWidth As Long)
         HeightVal = RectHeight
         WidthVal = RectWidth
      End Sub
      Public Property Height() As Long
         Get
            Return HeightVal
         End Get
         Set(ByVal Value As Long)
            HeightVal = Value
         End Set
      End Property
      Public Property Width() As Long
         Get
            Return WidthVal
         End Get
         Set(ByVal Value As Long)
            WidthVal = Value
         End Set
      End Property
      Public Function Area() As Long
         Return Height * Width
      End Function
      Public Function Perimeter() As Long
         Return ((Height * 2) + (Width * 2))
      End Function
   End Class
   Public Class Circle
      Private RadiusVal As Long
      Public Sub New(ByVal Radius As Long)
         RadiusVal = Radius
      End Sub
      Public Property Radius() As Long
         Get
            Return RadiusVal
         End Get
         Set(ByVal Value As Long)
            RadiusVal = Value
         End Set
      End Property
      Public Function Area() As Long
         Return Radius^2*System.Math.PI
      End Function
      Public Function Circumference() As Long
         Return 2*Radius*System.Math.PI
      End Function
   End Class
End Namespace
