<%@ Page Description="automatic viewstate management" %>
<%@ Import Namespace = "System.Data" %>

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<script language="vb" runat="server">

sub Page_Load(sender as object, args as EventArgs)

   if IsPostBack=false then
      dataGrid.DataSource = CreateDataSource()
      dataGrid.DataBind()
   end if

end sub

sub submit_click(sender as object, args as EventArgs)

   messageDisplay.Text="EnableViewState is set to: " & _
      dataGrid.EnableViewstate.ToString()      
   
end sub

function CreateDataSource() as ICollection

   dim Rand_num as Random = new Random()
   dim dt as DataTable = new DataTable()
   dim dr as DataRow
   dim dv as DataView
   dim i as Integer
   
   with dt.Columns
      .Add(new DataColumn("IntegerValue", GetType(Int32)))
      .Add(new DataColumn("StringValue", GetType(string)))
      .Add(new DataColumn("CurrencyValue", GetType(double)))
   end with

   for i = 0 to 5 step 1
      dr = dt.NewRow()
      dr(0) = i
      dr(1) = "Item " & i.ToString()
      dr(2) = 1.23 * Rand_Num.Next(1,15)
      dt.Rows.Add(dr)
   next
   
   dv = new DataView(dt)
   
   return(dv)
   
end function

</script>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

<title>Automatic ViewState Management</title>

<meta name="title"      content="ASP.NET for Developers" />
<meta name="isbn"       content="0-672-32038-X" />
<meta name="Authors"    content="Mike Amundsen and Paul Litwin" />
<meta name="Publisher"  content="Sams Publishing" />
<meta name="website"    content="http://www.amundsen.com/books/aspx4devs/" />
<meta name="email"      content="aspx4devs@amundsen.com" />

<link rel="stylesheet" type="text/css" href="aspx4devs.css" />

</head>

<body>
<h2>Automatic ViewState Management</h2>
<hr />

<asp:Label id="messageDisplay" runat="server" />

<form runat="server">
   <asp:Button id="submit" text="Submit" OnClick="submit_click" runat="server" />
   <asp:DataGrid id="dataGrid" enableViewState="false" runat="server" />
</form >                     

</body >
</html >
