<%@ Page Language="VB" %>

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<script runat="server">
    
Sub Page_Load(Src as Object, E as EventArgs)

	If Page.IsPostBack Then
		' respond to submit button
		postMsg.InnerText = "Posted Back " & _
		textInput.value() & " at " & now()
	Else
		postMsg.InnerText = ""
		textInput.value = ""
	End If

End Sub   

Sub reset_click(Src as Object, E as EventArgs)

	textInput.value = ""

	postMsg.InnerText = "Reset at " & now()

End Sub

</script>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

<title id="title" runat="server" />

<meta name="title"      content="ASP.NET for Developers" />
<meta name="isbn"       content="0-672-32038-X" />
<meta name="Authors"    content="Mike Amundsen and Paul Litwin" />
<meta name="Publisher"  content="Sams Publishing" />
<meta name="website"    content="http://www.amundsen.com/books/aspx4devs/" />
<meta name="email"      content="aspx4devs@amundsen.com" />
<meta name="VSS Info"   content="$$Header: /aspx4devs/CH08/buttons.aspx 31    2/07/01 12:56a Mca $" />

<link rel="stylesheet" type="text/css" href="aspx4devs.css" />

</head>

<body>

<h2>Buttons</h2>
<hr />

<span id="postMsg" runat="server" />

<form runat="server">

<input type="text" id="textInput" runat="server" />

<p>
<input type="submit" 
	id="submit"
	runat="server" 
/>
</p>

<p>
<input type="image" 
	src="images/poweredby.gif" 
	id="image" runat="server" 
/>
</p>

<p>
<input type="reset" 
	OnServerClick="reset_Click"
	runat="server" 
/>
</p>

<p>
<button 
	OnServerClick="reset_click" 
	runat="server">
Clear Input
</button>
</p>

</form>

</body>

</html>
