<%@ Page Language="VB" %>

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<script runat="server">
    
Sub Page_Load(Src as Object, E as EventArgs)

	If Not Page.IsPostBack Then
		' output before log-in
		status.InnerHtml="<b>Not Logged In</b>"
		title.InnerText="Not Logged In"
		hidden.value = "unknown"
		textarea.visible = false
	Else
    ' output after log-in
		status.InnerHtml="<b>Logged In</b>"
		title.InnerText="Logged In"
		hidden.value = username.value

		with textarea
			.InnerText = "Welcome " & hidden.value
			.visible = true
			.cols=40
			.rows=10
		end with

	End If

End Sub   

</script>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

<title id="title" runat="server" />

<meta name="title"      content="ASP.NET for Developers" />
<meta name="isbn"       content="0-672-32038-X" />
<meta name="Authors"    content="Mike Amundsen and Paul Litwin" />
<meta name="Publisher"  content="Sams Publishing" />
<meta name="website"    content="http://www.amundsen.com/books/aspx4devs/" />
<meta name="email"      content="aspx4devs@amundsen.com" />
<meta name="VSS Info"   content="$$Header: /aspx4devs/CH08/userlogin.aspx 5     2/06/01 9:24p Mca $" />

<link rel="stylesheet" type="text/css" href="aspx4devs.css" />

</head>

<body>

<h2>User Login</h2>
<hr />

<form runat="server">
<input type="hidden" id="hidden" runat="server" />
<table>
	<tr>
		<td>Status</td>
		<td id="status" runat="server" />
	</tr>
	<tr>
		<td>Username</td>
		<td><input id="username"
					runat="server" /></td>
	</tr>
	<tr>
		<td>Password</td>
		<td><input type="password" 
				id="password"
				runat="server" /></td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td><input type="submit" id="submit" 
				value="Login" runat="server" />
		</td>
	</tr>
</table>

<textarea id="textarea" runat="server" />

</form>

</body>

</html>
