<html>
<head>
<style>
  span {font-size: 18pt; color: red;}
  body {background-color: beige}
</style>
<script language="VB" runat="server">
Sub Page_Load(Src as Object, E as EventArgs)
  If Not Page.IsPostBack Then
    lstItems.Items.Add(New ListItem("Apples"))
    lstItems.Items.Add(New ListItem("Cherries"))
    lstItems.Items.Add(New ListItem("Peaches"))
    lstItems.Items.Add(New ListItem("Plums"))
  End If
End Sub 
Sub DisplayItem(Src as Object, E as EventArgs)
  Dim itm As ListItem
  lblMsg.Text = ""

  ' Iterate through the items collection
  ' of the list box to determine which
  ' items have been selected.
  For Each itm In lstItems.Items
    If itm.Selected Then
      lblMsg.Text &= itm.Value & ", "
    End If
  Next

  If lblMsg.Text.length > 0 Then
    lblMsg.Text = "Selected items: " & _
    lblMsg.Text.Substring(0,lblMsg.Text.Length-2) & _
       "."
  Else
    lblMsg.Text = "No items were selected." 
  End If
End Sub
</script>
</head>

<body>
<form runat="server">
  <b>Groceries</b><br />
  <asp:ListBox id="lstItems" runat="server" 
   Rows=4 SelectionMode="Multiple"
   OnSelectedIndexChanged="DisplayItem" />
  <br />
  <asp:Button id="cmdSubmit" runat="server" 
   text="Select"/>
  <br />
  <asp:Label id="lblMsg" runat="server" />
</form>
</body>
</html>