<%@ Page Description="RadioButtonListDB.aspx" %>
<%@ import namespace="System.Data" %>

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<script Language="VB" runat="server">

dim sortField as string

' display list the very first time only
sub Page_Load(Source As object, e As EventArgs)

   BindGrid
   
end sub   

Sub dgList_Sort(sender As Object, e As DataGridSortCommandEventArgs)
    SortField = e.SortExpression
    BindGrid
End Sub

Sub BindGrid()
    dgList.DataSource = CreateDataSource()
    dgList.DataBind
End Sub

' create some data for this example
function CreateDataSource() as DataView

   dim dt as DataTable = new DataTable()
   dim dr as DataRow
   dim i as integer
   
   with dt.Columns
      .Add(new DataColumn("ItemName",GetType(String)))
      .Add(new DataColumn("ItemAmount",GetType(double)))
      .Add(new DataColumn("StatusFlag",GetType(boolean)))
   end with
   
   for i=0 to 25
      dr = dt.NewRow()
      dr(0) = "Item" & cStr(i)
      dr(1) = 1.25 * (i+1)
      If (i Mod 2 <> 0) Then
         dr(2) = True
      Else
         dr(2) = False
      End If
      
      dt.rows.Add(dr)
   next
   
   dim dv as DataView = new DataView(dt)
   
   if sortField="" then
      sortField="ItemName"
   end if
   dv.Sort=sortField
   
   return dv
   
end function

</script>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

<title id="title" runat="server" />

<meta name="title"      content="ASP.NET for Developers" />
<meta name="isbn"       content="0-672-32038-X" />
<meta name="Authors"    content="Mike Amundsen and Paul Litwin" />
<meta name="Publisher"  content="Sams Publishing" />
<meta name="website"    content="http://www.aspxdev/" />
<meta name="email"      content="aspx4devs@amundsen.com" />
<meta name="VSS Info"   content="$$Header: $" />

<link rel="stylesheet" type="text/css" href="aspx4devs.css" />

</head>

<body>

<h2>DataGrid Sorting Demo</h2>
<hr />

<form runat="server">

    <asp:DataGrid id=dgList 
        AllowSorting="true"             
        OnSortCommand="dgList_Sort"
        runat="server"/>
         
</form>

</body>

</html>
