<%@ Page Debug=True %>
<html>
<head>
<style>
  body {font-size: 14pt;}
  select {font-size: 12pt;}
  span {font-size: 14pt; font-weight: Bold;}
  input {font-size: 12pt;}
</style>
<script language="VB" runat="server">
Sub Page_Load(sender As Object, e As EventArgs) 
  If Not IsPostBack Then
     Dim aColors(4) As String
 
     aColors(0) = "Red"
     aColors(1) = "Green"
     aColors(2) = "Blue"
     aColors(3) = "Black"
     aColors(4) = "Yellow"

     drpColors.DataSource = aColors
     drpColors.DataBind
  End If
End Sub

Sub cmdSelect_Click(sender As Object, e As EventArgs)
   Dim strColor As String = drpColors.SelectedItem.Text
   lblOut.Text = "You chose: " & _
    "<font color=" & strColor & ">" & strColor & "</font>"
End Sub
</script>
</head>

<body>
<form runat="server">
  <asp:Label id="lblTitle" runat="server"
   Text="<h2>Array Data Binding Example</h2>" />
  <p><asp:DropDownList id="drpColors" runat="server" />
  <asp:button id="cmdSelect" runat="server"
   Text="Select" OnClick="cmdSelect_Click" /></p>
  <p><asp:Label id="lblOut" runat="server" /></p>
</form>
</body>
</html>


