<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<html>
<head>
<title>DataBindDataGrid1.aspx</title>
<script language="VB" runat="server">
Sub Page_Load(Src As Object, E As EventArgs) 
  ' Don't need to rebind for postbacks
  If Not Page.IsPostBack Then
     Call BindDataSet()
  End If
End Sub
Sub BindDataSet()
  ' Create the DataSet and bind to it
  Dim strCnx As String = "server=localhost;uid=sa;pwd=;database=northwind;"
  Dim strSQL As String = "SELECT EmployeeId, LastName, FirstName FROM Employees"

  ' Create connection to SQL Server Northwind database
  Dim cnx As SqlConnection = New SqlConnection(strCnx)
  ' Create & execute SqlDataAdatper query to return records
  Dim sda As SqlDataAdapter = New SqlDataAdapter(strSQL, cnx)
  ' Create new empty DataSet
  Dim ds As DataSet = New DataSet
	
  ' Fill DataSet using SqlDataAdapter
  sda.Fill(ds,"Employees")

  dgrEmployees.DataSource = ds.Tables(0).DefaultView
  ' The above is equivalent to:
  '  dgrEmployees.DataSource = ds
  dgrEmployees.DataBind()
End Sub
</script>
</head>
<body>
<form runat="server">
  <asp:Label id="lblOut" runat="server"
   Text="<h2>Northwind Employees</h2>" />

  <asp:DataGrid id="dgrEmployees" runat="server"
    AutoGenerateColumns=True
    BorderColor="black"
    BorderWidth="1"
    GridLines="Both"
    CellPadding="3"
    CellSpacing="0"
    Font-Name="Verdana"
    Font-Size="8pt"
    HeaderStyle-BackColor="#99ccff"
    AlternatingItemStyle-BackColor="lightgray" />
</form>
</body>
</html>


