<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>

<html>
<head>
<title>OleDbCommandUpdate.aspx</title>
<script language="VB" runat="server" src="AccessInclude.aspx"> 
  ' This include script contains the AccessCnx function
  ' which returns a connection string to point
  ' to the Access Northwind database.
  ' You may need to modify the connection string
  ' found in this include file.
</script>

<script language="VB" runat="server">
Sub UpdateRegion(Src as Object, E as CommandEventArgs)
  Dim strSQL As String
  Dim intRecs As Integer
  ' Set SQL based on which button was clicked
  If E.CommandName = "Update" Then
     strSQL = "UPDATE Customers SET Region = 'Other' WHERE Region IS NULL"
  Else
     strSQL = "UPDATE Customers SET Region = NULL WHERE Region ='Other'"
  End If

  ' Create connection to Access Northwind database
  Dim cnx As OleDbConnection = New OleDbConnection(AccessCnx())
  ' Open the connection
  cnx.Open()

  ' Create & execute OleDbCommand query to update records
  Dim cmdUpdate As OleDbCommand  = New OleDbCommand(strSQL, cnx)
  cmdUpdate.CommandType = CommandType.Text

  ' Execute the query
  intRecs = cmdUpdate.ExecuteNonQuery()
  lblMsg.Text = intRecs.ToString() & " records updated!"

  ' Close the connection
  cnx.Close()
End Sub
</script>
</head>
<body>
<form runat="server">
  <p>
  <asp:Label id="lblHeader" runat="server" 
      Text="<h2>OleDbCommandUpdate Example</h2>" />
  </p>
  <p>
  <asp:Button id="cmdUpdate" runat="server"
      Text="Update Null Regions to 'Other'" 
      OnCommand="UpdateRegion" 
      CommandName="Update" />
  </p>
  <p>
  <asp:Button id="cmdReset" runat="server"
      Text="Reset 'Other' Regions to Null" 
      OnCommand="UpdateRegion" 
      CommandName="Reset" />
  </p>
  <p>
  <asp:Label id="lblMsg" runat="server" 
      Style="Color:red;" />
  </p>
</form>
</body>
</html>


