<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>

<html>
<head>
<title>OleDbDataReader.aspx</title>
<script language="VB" runat="server" src="AccessInclude.aspx"> 
  ' This include script contains the AccessCnx function
  ' which returns a connection string to point
  ' to the Access Northwind database.
  ' You may need to modify the connection string
  ' found in this include file.
</script>

<script language="VB" runat="server">
Sub Page_Load(Src As Object, E As EventArgs) 
  Dim strCnx As String = AccessCnx()
  Dim strSQL As String = _
   "SELECT ProductName, UnitPrice FROM Products ORDER BY ProductName"

  ' Create connection to Access Northwind database
  Dim cnx As OleDbConnection = New OleDbConnection(strCnx)
  cnx.Open()

  ' Create & execute OleDbCommand query to return records
  Dim ocd As OleDbCommand  = New OleDbCommand(strSQL, cnx)
  Dim odr As OleDbDataReader
	
  ' Fill DataReader using ExecuteReader method 
  ' of the OleDbCommand object
  odr = ocd.ExecuteReader()

  ' Loop through DataReader records and display
  ' ProductName and UnitPrice fields in HTML table
  lblOut.Text &= "<table border=2>" & _
                 "<tr><th>Product</th><th>Price</th></tr>"
  Do While odr.Read()
    lblOut.Text &= "<tr><td>" & odr("ProductName") & "</td>" & _
     "<td align=right>" & FormatCurrency(odr("UnitPrice")) & "</td></tr>"
  Loop
  lblOut.Text &= "</table>"

  ' Close DataReader and Connection
  odr.Close()
  cnx.Close()
End Sub
</script>
</head>

<body>
<form runat="server">
  <asp:Label id="lblHeader" runat="server"
   Text="<h2>Northwind Products</h2>" />

  <asp:Label id="lblOut" runat="server" />
</form>
</body>
</html>


