<%@ Page Language="VB" Debug="true" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<html>
<head>
<title>DataViews.aspx</title>
<script language="VB" runat="server">
Sub Page_Load(Src As Object, E As EventArgs) 
  If Not Page.IsPostBack Then
    Dim strCnx As String = "server=localhost;uid=sa;pwd=;database=northwind;"
    Dim strSQLCustomers As String = "SELECT * FROM Customers ORDER BY CompanyName"
    Dim strSQLOrders As String = "SELECT * FROM Orders"
    Dim cnx As SqlConnection = New SqlConnection(strCnx)
    Dim sdaCustomers As SqlDataAdapter  = New SqlDataAdapter(strSQLCustomers, cnx)
    Dim sdaOrders As SqlDataAdapter  = New SqlDataAdapter(strSQLOrders, cnx)
    Dim dsNWind As DataSet
    Dim drCustomer As DataRow
    Dim drOrder As DataRow
    Dim drlCustOrder As DataRelation
    
    dsNWind = New DataSet

    sdaCustomers.Fill(dsNWind, "Customers")
    sdaOrders.Fill(dsNWind, "Orders")

    ' Create relation between Customers and Orders
    drlCustOrder = dsNWind.Relations.Add("CustOrders", _
     dsNWind.Tables("Customers").Columns("CustomerId"), _
     dsNWind.Tables("Orders").Columns("CustomerId"))

    ' Iterate over data of customers and their orders
    For Each drCustomer in dsNWind.Tables("Customers").Rows
      lblOut.Text &= "<p><b>Customer</b>: " & drCustomer("CompanyName")
      lblOut.Text &= "<table border bgcolor=lightgreen>"
      lblOut.Text &= "<tr><th>OrderId</th> <th>Order Date</th></tr>"
      For Each drOrder in drCustomer.GetChildRows(dsNWind.Relations("CustOrders")) 
        lblOut.Text &= "<tr><td>" & Convert.ToString(drOrder("OrderId")) & "</td>"
        lblOut.Text &= "<td>" & Convert.ToString(drOrder("OrderDate")) & "</td></tr>"
      Next
      lblOut.Text &= "</table></p>"
    Next
  End If
End Sub
</script>
</head>
<body>
<form runat="server">
  <asp:Label id="lblOut" runat="server"
   Text="<h2>Northwind Relations Example</h2>" />
</form>
</body>
</html>


